% ---------------------------------------------------------------------
% Photomechanics 2015
% ---------------------------------------------------------------------
% ---------------------------------------------------------------------
\def\fileversion{1.00}
\def\filedate{2012/03/23}
\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{ICHD2024}[\filedate\space v\fileversion\space-ICHD 2016]
\LoadClass[12pt]{extarticle}
\RequirePackage[utf8]{inputenc}
\RequirePackage[T1]{fontenc}
\RequirePackage{amsmath,amsfonts,amssymb,bm,helvet}
\RequirePackage{pslatex}
\RequirePackage{graphicx,color}
\RequirePackage[a4paper,left=2.5cm,right=2.5cm,top=2.5cm,bottom=2.5cm]{geometry}
%\usepackage[francais]{babel}
\usepackage{titlesec}
\usepackage{nopageno}

%%\renewcommand{\rmdefault}{phv} % Arial
%%\renewcommand{\sfdefault}{phv} % Arial

\renewcommand{\rmdefault}{ptm} % times new roman
\renewcommand{\sfdefault}{ptm} % times new roman


\usepackage{caption2}
\renewcommand{\captionfont}{\bf}
\renewcommand{\captionlabeldelim}{ -}
%%%% debut macro %%%%
\renewcommand{\fnum@figure}{\textbf{\figurename~\thefigure}}
%%%% fin macro %%%%

\renewcommand{\boldsymbol}[1]{\bm{#1}}

\bibliographystyle{unsrt}

%%%% debut macro %%%% 
\toks@\expandafter{\@listI} 
\edef\@listI{\the\toks@\setlength{\parsep}{0pt}} 
\edef\@listI{\the\toks@\setlength{\itemsep}{0pt}} 
\edef\@listI{\the\toks@\setlength{\parskip}{0pt}} 
%%%% fin macro %%%% 

\newcommand{\address}[1]{\def\@address{#1}}
\renewcommand{\@maketitle}{%
\begin{center}
    {\bf\fontfamily{ptm}\fontsize{12}{12}\selectfont \MakeUppercase{\@title} }%
%\bfseries\large\noindent\MakeUppercase{\@title}\\
\par\vspace{\baselineskip}
    {\fontfamily{ptm}\fontsize{12}{12}\selectfont \@author \par}%
%\normalfont\large\noindent\@author\\
    {\fontfamily{ptm}\fontsize{12}{12}\selectfont \@address}%
%\large\@address
\end{center}
\par\vspace{2\baselineskip}
}

\renewenvironment{thebibliography}[1]
%     {\section*{\large\refname}%
     {\section*{\vspace{-1cm}}%
      \@mkboth{\MakeUppercase\refname}{\MakeUppercase\refname}%
      \list{\@biblabel{\@arabic\c@enumiv}}%
           {\settowidth\labelwidth{\@biblabel{#1}}%
            \leftmargin\labelwidth
            \advance\leftmargin\labelsep
            \@openbib@code
            \usecounter{enumiv}%
            \let\p@enumiv\@empty
            \renewcommand\theenumiv{\@arabic\c@enumiv}}%
      \sloppy
      \clubpenalty4000
      \@clubpenalty \clubpenalty
      \widowpenalty4000%
      \sfcode`\.\@m}
     {\def\@noitemerr
       {\@latex@warning{Empty `thebibliography' environment}}%
      \endlist}
\setlength{\parskip}{0ex}

\renewcommand{\@biblabel}[1]{#1.}

\renewenvironment{abstract}%
    {{\bf\noindent\fontfamily{ptm}\fontsize{12}{12}\selectfont \MakeUppercase{\abstractname}: }}%
%  {\par{\noindent\textbf{\MakeUppercase\abstractname} : }}
\makeatother

\renewcommand{\thesection}{\arabic{section}. }
\renewcommand{\thesubsection}{\arabic{section}.\arabic{subsection}}

\titleformat{\section}%
  [hang]% style du titre (hang, display, runin, leftmargin, drop, wrap)
  {\bfseries}% changement de fonte commun au numéro et au titre
  {\thesection}% spécification du numéro
  {0.75cm}% espace entre le numéro et le titre
  {\MakeUppercase}% changement de fonte du titre

\titleformat{\subsection}%
  [hang]% style du titre (hang, display, runin, leftmargin, drop, wrap)
  {\bfseries}% changement de fonte commun au numéro et au titre
  {\thesubsection}% spécification du numéro
  {0.70cm}% espace entre le numéro et le titre
  {}% changement de fonte du titre


% Definition Commande
\newcommand{\vect}[1]{\underline{#1}}  
\newcommand{\tens}[1]{\underline {\underline {#1}}}  
\def\div{\mathop{\rm div}\nolimits}
